<?php

/* DCMS Special
 * Дата последнего редактирования 04.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

if (isset($user)) {
    $ank['id'] = $user['id'];
}
if (isset($_GET['id'])) {
    $ank['id'] = intval($_GET['id']);
} elseif (isset($_GET['name'])) {
    $arr['nick'] = $_GET['name'];
    $nick = $arr['nick'];
    $res = mysql_query("SELECT `id` FROM `user` WHERE `nick`='$nick';");

    if (mysql_num_rows($res) > 0) {
        $row = mysql_fetch_assoc($res);
        $ank['id'] = $row['id'];
    } else {
        $ank['id'] = 0;
    }
}

if ($ank['id'] == 0) {
    exit;
}

$ank = get_user($ank['id']);
if (!$ank) {
    header("Location: /index.php?" . SID);
    exit;
}

$set['title'] = $ank['nick'] . ' - ' . lang('анкета'); // заголовок страницы
require_once H . 'sys/inc/thead.php';

aut();

$sql = mysql_query("SELECT * FROM `user_blacklist` WHERE `id_user` = '" . mysql_real_escape_string($ank['id']) . "' AND `id_ank` = '" . mysql_real_escape_string($user['id']) . "';");
if (mysql_num_rows($sql) != 0 AND $user['level'] < 3) {
    echo "<div class='alert alert-danger'>" . lang('Пользователь ограничил круг лиц, которые могут просматривать его страницу') . ".</div>";

    require_once H . 'sys/inc/tfoot.php';
    exit;
}

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Анкета');
echo "</small></div><br />";

$user_voice = mysql_result(mysql_query("SELECT COUNT(*) FROM `user_voice2` WHERE `id_user` = '$ank[id]' OR `id_kont` = '$ank[id]'"), 0);
if ($ank['id'] != $user['id']) {
    mysql_query("UPDATE `user` SET `viewing` = '" . ($ank['viewing'] + 1) . "' WHERE `id` = '$ank[id]' LIMIT 1");
}

if (isset($_POST['password'])) {
    $set_cook = $_POST['password'];
    setcookie("passprofile$ank[id]", $set_cook);
    if (isset($_POST['password']) && $_POST['password'] == $ank['anketa_password']) {
        header("Location: ?id=$ank[id]");
    }
}

#Скрываем страницу, если приватность установлена
#Выводим только ссылки на сообщение и тд
if ($ank['anketa_access'] == 'only_me') {
    if ($ank['id'] == $user['id'] && isset($user) || $user['level'] >= 3) {
        
    } else {
        echo "<table class='list-group-item-null'><tr><td class='icon14'>";
        avatar($ank['id'], '60', 'border-radius: 2px;');
        echo "</td><td class='null'>";
        echo lang("Доступ к анкете") . " <b>$ank[nick]</b> " . lang('закрыт') . ".<br />";
        $doc->Link('btn btn-primary btn-sm', "/user/mail/messageList.php?contact=$ank[id]", 'envelope', 'Сообщение');

        if (isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user` = '$user[id]' AND `friends` = '$ank[id]'"), 0) == 0) {
            $doc->Link('btn btn-primary btn-sm', "/user/friends/add.php?id=$ank[id]", 'user-plus', 'Добавить в друзья');
        } else {
            $doc->Link('btn btn-primary btn-sm', "/user/friends/new.php?del=$ank[id]", 'user', 'Удалить из друзей');
        }
        echo "</td></tr></table>";

        require_once H . 'sys/inc/tfoot.php';

        exit();
    }
} elseif ($ank['anketa_access'] == 'friends') {
    if ($ank['id'] == $user['id'] && isset($user) || $user['level'] >= 3 || $ank['id'] == $user['id'] && isset($user) || isset($umodd) || mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE (`user` = '$user[id]' AND `friends` = '$ank[id]') OR (`user` = '$ank[id]' AND `friends` = '$user[id]')"), 0) != 0) {
        
    } else {
        echo "<table class='list-group-item-null'><tr><td class='icon14'>";
        avatar($ank['id'], '60', 'border-radius: 2px;');
        echo "</td><td class='null'>";
        echo lang("Доступ к анкете") . " <b>$ank[nick]</b> " . lang('открыт только для друзей пользователя') . ".<br />";
        $doc->Link('btn btn-primary btn-sm', "/user/mail/messageList.php?contact=$ank[id]", 'envelope', 'Сообщение');

        if (isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user` = '$user[id]' AND `friends` = '$ank[id]'"), 0) == 0) {
            $doc->Link('btn btn-primary btn-sm', "/user/friends/add.php?id=$ank[id]", 'user-plus', 'Добавить в друзья');
        } else {
            $doc->Link('btn btn-primary btn-sm', "/user/friends/new.php?del=$ank[id]", 'user', 'Удалить из друзей');
        }
        echo "</td></tr></table>";

        require_once H . 'sys/inc/tfoot.php';
        exit();
    }
} elseif ($ank['anketa_access'] == 'pass') {
    if (isset($_COOKIE["passprofile$ank[id]"]) && $_COOKIE["passprofile$ank[id]"] == $ank['profile_password'] || $ank['id'] == $user['id'] && isset($user) || $user['level'] >= 3) {
        
    } else {
        if (isset($_POST['password']) && $_POST['password'] != $ank['profile_password']) {
            $_SESSION['err'] = lang('Неверный пароль');
        }

        echo "<table class='list-group-item-null'><tr><td class='icon14'>";
        avatar($ank['id'], '60', 'border-radius: 2px;');
        echo "</td><td class='null'>";
        echo "<form action='' method='post'>";
        echo lang("Доступ к анкете") . " <b>$ank[nick]</b> " . lang('доступен только по паролю') . ":<br/>";
        $doc->Input('password', 'Пароль', 100);
        echo "<br />";
        $doc->Button('btn btn-primary btn-sm', 'submited', null, 'Войти');
        echo "</form><br />";
        $doc->Link('btn btn-primary btn-sm', "/user/mail/messageList.php?contact=$ank[id]", 'envelope', 'Сообщение');

        if (isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user` = '$user[id]' AND `friends` = '$ank[id]'"), 0) == 0) {
            $doc->Link('btn btn-primary btn-sm', "/user/friends/add.php?id=$ank[id]", 'user-plus', 'Добавить в друзья');
        } else {
            $doc->Link('btn btn-primary btn-sm', "/user/friends/new.php?del=$ank[id]", 'user', 'Удалить из друзей');
        }
        echo "</td></tr></table>";

        require_once H . 'sys/inc/tfoot.php';
        exit();
    }
}

$timediff = mysql_result(mysql_query("SELECT `time` FROM `user` WHERE `id` = '$ank[id]' LIMIT 1", $db), 0);

$oneMinute = 60;
$oneHour = 60 * 60;
$oneDay = 60 * 60 * 24;
$dayfield = floor($timediff / $oneDay);
$hourfield = floor(($timediff - $dayfield * $oneDay) / $oneHour);
$minutefield = floor(($timediff - $dayfield * $oneDay - $hourfield * $oneHour) / $oneMinute);
$secondfield = floor(($timediff - $dayfield * $oneDay - $hourfield * $oneHour - $minutefield * $oneMinute));

$sDaysLeft = $dayfield;
$sDaysText = lang("дней");
$nDaysLeftLength = strlen($sDaysLeft);
$d_1 = substr($sDaysLeft, -1, 1);

if (substr($sDaysLeft, -2, 1) != 1 && $nDaysLeftLength > 1) {
    if ($d_1 == 2 || $d_1 == 3 || $d_1 == 4) {
        $sDaysText = lang("дня");
    } elseif ($d_1 == 1) {
        $sDaysText = lang("день");
    }
}
if ($nDaysLeftLength == 1) {
    if ($d_1 == 2 || $d_1 == 3 || $d_1 == 4) {
        $sDaysText = lang("дня");
    } elseif ($d_1 == 1) {
        $sDaysText = lang("день");
    }
}

$sHoursLeft = $hourfield;
$sHoursText = lang("часов");
$nHoursLeftLength = strlen($sHoursLeft);
$h_1 = substr($sHoursLeft, -1, 1);
if (substr($sHoursLeft, -2, 1) != 1 && $nHoursLeftLength > 1) {
    if ($h_1 == 2 || $h_1 == 3 || $h_1 == 4) {
        $sHoursText = lang("часа");
    } elseif ($h_1 == 1) {
        $sHoursText = lang("час");
    }
}

if ($nHoursLeftLength == 1) {
    if ($h_1 == 2 || $h_1 == 3 || $h_1 == 4) {
        $sHoursText = lang("часа");
    } elseif ($h_1 == 1) {
        $sHoursText = lang("час");
    }
}

$sMinsLeft = $minutefield;
$sMinsText = lang("минут");
$nMinsLeftLength = strlen($sMinsLeft);
$m_1 = substr($sMinsLeft, -1, 1);

if ($nMinsLeftLength > 1 && substr($sMinsLeft, -2, 1) != 1) {
    if ($m_1 == 2 || $m_1 == 3 || $m_1 == 4) {
        $sMinsText = lang("минуты");
    } else if ($m_1 == 1) {
        $sMinsText = lang("минута");
    }
}

if ($nMinsLeftLength == 1) {
    if ($m_1 == 2 || $m_1 == 3 || $m_1 == 4) {
        $sMinsText = lang("минуты");
    } elseif ($m_1 == "1") {
        $sMinsText = lang("минута");
    }
}

$sSecsLeft = $secondfield;
$sSecsText = lang("секунд");
$s_1 = substr($sSecsLeft, -1, 1);
$nSecsLeftLength = strlen($sSecsLeft);
if (substr($sSecsLeft, -2, 1) != 1 && $nSecsLeftLength > 1) {
    if ($s_1 == 2 || $s_1 == 3 || $s_1 == 4) {
        $sSecsText = lang("секунды");
    } elseif ($s_1 == 1) {
        $sSecsText = lang("секунда");
    }
}

if ($nSecsLeftLength == 1) {
    if ($s_1 == 2 || $s_1 == 3 || $s_1 == 4) {
        $sSecsText = lang("секунды");
    } elseif ($sSecsLeft == "1") {
        $sSecsText = lang("секунда");
    }
}

$displaystring = "" .
        $sDaysLeft . " " .
        $sDaysText . " " .
        $sHoursLeft . " " .
        $sHoursText . " " .
        $sMinsLeft . " " .
        $sMinsText . " " .
        $sSecsLeft . " " .
        $sSecsText;

if ($timediff < 0) {
    $displaystring = lang('дата уже наступила');
}
$time_online = $displaystring;

$mod = (isset($_GET['mod'])) ? htmlspecialchars($_GET['mod']) : null;

echo "<div style = 'font-size: 16px;font-weight: bold;color:#9197a3;-webkit-font-smoothing: antialiased;text-transform: uppercase;' class='list-group-item-null list-group-item-grey'>";
echo "<span style = 'float:right'>$ank[nick]</span>";
echo lang("Информация") . "</div>";

switch ($mod) {

    default:

        echo "<div id='accordion' role='tablist' aria-multiselectable='true'>";
        echo "<div class='list-group-item-null'><div role='tab'>";
        echo "<a class='collapsed' data-toggle='collapse' data-parent='#accordion' href='#information' aria-expanded='false'><i class='fa fa-sticky-note-o fa-fw'></i> " . lang('Общие сведения') . "</a>";
        echo "</div>";
        echo "<div id='information' class='panel-collapse collapse' role='tabpanel' aria-labelledby='information'>";

        echo "<hr>";

        if ($ank['ank_surname'] == NULL) {
            $ank_surname = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=information&amp;ank'>?</a>";
        } else {
            $ank_surname = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;ank'>$ank[ank_surname]</a>";
        }

        if ($ank['ank_name'] == NULL) {
            $ank_name = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=information&amp;ank'>?</a>";
        } else {
            $ank_name = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;ank'>$ank[ank_name]</a>";
        }

        if ($ank['ank_patronymic'] == NULL) {
            $ank_patronymic = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=information&amp;ank'>?</a>";
        } else {
            $ank_patronymic = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;ank'>$ank[ank_patronymic]</a>";
        }

        if ($ank['sex'] == 1) {
            $sex = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;ank'>" . lang('Мужской') . "</a>";
        } elseif ($ank['sex'] == 0) {
            $sex = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;ank'>" . lang('Женский') . "</a>";
        } else {
            $sex = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=information&amp;ank'>?</a>";
        }

        if ($ank['ank_m_r'] == 1) {
            $ank['mes'] = lang('Января');
        } elseif ($ank['ank_m_r'] == 2) {
            $ank['mes'] = lang('Февраля');
        } elseif ($ank['ank_m_r'] == 3) {
            $ank['mes'] = lang('Марта');
        } elseif ($ank['ank_m_r'] == 4) {
            $ank['mes'] = lang('Апреля');
        } elseif ($ank['ank_m_r'] == 5) {
            $ank['mes'] = lang('Мая');
        } elseif ($ank['ank_m_r'] == 6) {
            $ank['mes'] = lang('Июня');
        } elseif ($ank['ank_m_r'] == 7) {
            $ank['mes'] = lang('Июля');
        } elseif ($ank['ank_m_r'] == 8) {
            $ank['mes'] = lang('Августа');
        } elseif ($ank['ank_m_r'] == 9) {
            $ank['mes'] = lang('Сентября');
        } elseif ($ank['ank_m_r'] == 10) {
            $ank['mes'] = lang('Октября');
        } elseif ($ank['ank_m_r'] == 11) {
            $ank['mes'] = lang('Ноября');
        } elseif ($ank['ank_m_r'] == 12) {
            $ank['mes'] = lang('Декабря');
        } else {
            $ank['mes'] = '?';
        }

        if ($ank['ank_d_r'] != NULL && $ank['ank_m_r'] != NULL && $ank['ank_g_r'] != NULL) {
            $ank_dr = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;ank'>$ank[ank_d_r] $ank[mes] $ank[ank_g_r]</a>";
        } else {
            $ank_dr = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;ank'>$ank[ank_d_r] $ank[mes] $ank[ank_g_r]</a>";
        }

        if ($ank['ank_g_r'] == NULL) {
            $ank['ank_age'] = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=information&amp;ank'>?</a>";
        } else {
            $ank['ank_age'] = date("Y") - $ank['ank_g_r'];
            if (date("n") < $ank['ank_m_r']) {
                $ank['ank_age'] = $ank['ank_age'] - 1;
            } elseif (date("n") == $ank['ank_m_r'] && date("j") < $ank['ank_d_r']) {
                $ank['ank_age'] = $ank['ank_age'] - 1;
            }
        }

        if ($ank['welcome'] == NULL) {
            $welcome = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=information&amp;ank'>?</a>";
        } else {
            $welcome = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;ank'>$ank[welcome]</a>";
        }

        echo lang('Статус') . ": $welcome<br />";

        echo "<hr>";
        if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]' AND `time` > '$time'"), 0) != 0) {
            $q = mysql_query("SELECT * FROM `ban` WHERE `id_user` = '$ank[id]' AND `time` > '$time' ORDER BY `time` DESC LIMIT 5");
            while ($post = mysql_fetch_assoc($q)) {
                echo lang('Забанен до') . " " . date::time($post['time']) . ": <br />";
                echo lang('Причина') . ": " . toOutput($post['prich']) . "<br />";
            }
        } else {
            $narush = mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]'"), 0);
            echo "<a href = '/user/ban.php?id=$ank[id]'>" . lang('Нарушения') . ":</a>" . (($narush == 0) ? " нет" : " $narush");
        }

        echo "<hr>";

        echo lang('Должность на сайте') . ": <a style = 'text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;'>$ank[group_name]</a><br />";
        echo lang('Имя') . ": $ank_name<br />";
        echo lang('Фамилия') . ": $ank_surname<br />";
        echo lang('Отчество') . ": $ank_patronymic<br />";
        echo lang('Пол') . ": $sex<br />";
        echo lang('Дата рождения') . ": $ank_dr<br />";
        echo lang('Возраст') . ": <a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;ank'>$ank[ank_age]</a><br />";

        echo "</div></div></div>";

        echo "<div id='accordion' role='tablist' aria-multiselectable='true'>";
        echo "<div class='list-group-item-null'><div role='tab'>";
        echo "<a class='collapsed' data-toggle='collapse' data-parent='#accordion' href='#work' aria-expanded='false'><i class='fa fa-briefcase fa-fw'></i> " . lang('Работа и образование') . "</a>";
        echo "</div>";
        echo "<div id='work' class='panel-collapse collapse' role='tabpanel' aria-labelledby='work'>";

        echo "<hr>";

        if ($ank['ank_profession'] == NULL) {
            $ank_profession = "<a style='cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=character_type&amp;ank_profession'>?</a>";
        } else {
            $ank_profession = "<a style='cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=character_type&amp;ank_profession'>$ank[ank_profession]</a>";
        }

        echo lang('Профессиональные навыки') . ": $ank_profession<br />";

        echo "</div></div></div>";

        echo "<div id='accordion' role='tablist' aria-multiselectable='true'>";
        echo "<div class='list-group-item-null'><div role='tab'>";
        echo "<a class='collapsed' data-toggle='collapse' data-parent='#accordion' href='#locations' aria-expanded='false'><i class='fa fa-building fa-fw'></i> " . lang('Место проживания') . "</a>";
        echo "</div>";
        echo "<div id='locations' class='panel-collapse collapse' role='tabpanel' aria-labelledby='locations'>";

        if ($ank['country'] == NULL) {
            $country = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=information&amp;country'>?</a>";
        } else {
            $country = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;country'>$ank[country]</a>";
        }

        if ($ank['region'] == NULL) {
            $region = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=information&amp;country'>?</a>";
        } else {
            $region = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;country'>$ank[region]</a>";
        }

        if ($ank['ank_city'] == NULL) {
            $ank_city = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=information&amp;country'>?</a>";
        } else {
            $ank_city = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;country'>$ank[ank_city]</a>";
        }

        echo "<hr>";

        echo lang('Страна') . ": $country ";
        echo "" . country($ank['id']) . "<br />";
        echo lang('Область') . " " . lang('(Край)') . ": $region<br />";
        echo lang('Город') . ": $ank_city<br />";

        echo "</div></div></div>";

        echo "<div id='accordion' role='tablist' aria-multiselectable='true'>";
        echo "<div class='list-group-item-null'><div role='tab'>";
        echo "<a class='collapsed' data-toggle='collapse' data-parent='#accordion' href='#contacts' aria-expanded='false'><i class='fa fa-phone-square fa-fw'></i> " . lang('Контакты и ссылки') . "</a>";
        echo "</div>";
        echo "<div id='contacts' class='panel-collapse collapse' role='tabpanel' aria-labelledby='contacts'>";

        echo "<hr>";

        if ($ank['ank_icq'] == NULL && $ank['ank_icq'] == 0) {
            $ank_icq = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=contacts&amp;ank_icq'>?</a>";
        } else {
            $ank_icq = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=contacts&amp;ank_icq'><img src = \"http://web.icq.com/whitepages/online?icq=$ank[ank_icq]&amp;img=27\" alt=\"icq\" height=\"16\" width=\"16\" /> $ank[ank_icq]</a>";
        }

        if ($ank['ank_n_tel'] == NULL) {
            $ank_n_tel = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=contacts&amp;ank_icq'>?</a>";
        } else {
            $ank_n_tel = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=contacts&amp;ank_icq'>$ank[ank_n_tel]</a>";
        }

        if ($ank['ank_n_tel_home'] == NULL) {
            $ank_n_tel_home = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=contacts&amp;ank_icq'>?</a>";
        } else {
            $ank_n_tel_home = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=contacts&amp;ank_icq'>$ank[ank_n_tel_home]</a>";
        }

        if ($ank['ank_mail'] != NULL && ($ank['set_show_mail'] == 1 || isset($user) && ($user['level'] > $ank['level'] || $user['level'] == 4))) {

            if ($ank['set_show_mail'] == 0) {
                $hide_mail = lang('(скрыт)');
            } else {
                $hide_mail = NULL;
            }

            if (preg_match("#(@mail\.ru$)|(@bk\.ru$)|(@inbox\.ru$)|(@list\.ru$)#", $ank['ank_mail'])) {
                echo "<img src=\"http://status.mail.ru/?$ank[ank_mail]\" width=\"13\" height=\"13\" alt=\"\" /> <a href=\"mailto:$ank[ank_mail]\" title=\"" . lang('Написать письмо') . "\">$ank[ank_mail]</a>$hide_mail<br />\n";
            } else {
                echo "E-mail: <a href=\"mailto:$ank[ank_mail]\" title=\"" . lang('Написать письмо') . "\">$ank[ank_mail]</a>$hide_mail<br />\n";
            }
        }

        echo lang('Телефон (Дом)') . ": $ank_n_tel_home<br />";
        echo lang('Телефон (Моб)') . ": $ank_n_tel<br />\n";
        echo "ICQ: $ank_icq<br />";

        echo "</div></div></div>";

        echo "<div id='accordion' role='tablist' aria-multiselectable='true'>";
        echo "<div class='list-group-item-null'><div role='tab'>";
        echo "<a class='collapsed' data-toggle='collapse' data-parent='#accordion' href='#family' aria-expanded='false'><i class='fa fa-female fa-fw'></i> " . lang('Семья и отношения') . "</a>";
        echo "</div>";
        echo "<div id='family' class='panel-collapse collapse' role='tabpanel' aria-labelledby='family'>";

        echo "<div class='hr'></div>";

        echo lang("Цель знакомств") . ": ";
        if ($ank['ank_goal_dating'] == 0 && $ank['ank_goal_dating2'] == 0 && $ank['ank_goal_dating3'] == 0 && $ank['ank_goal_dating4'] == 0 && $ank['ank_goal_dating5'] == 0 && $ank['ank_goal_dating6'] == 0 && $ank['ank_goal_dating7'] == 0 && $ank['ank_goal_dating'] == 0) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=information&amp;love'>?</a>";
        }
        if ($ank['ank_goal_dating'] == 1) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Дружба и общение') . ",</a> ";
        }
        if ($ank['ank_goal_dating2'] == 1) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Флирт, СМС-переписка') . ",</a> ";
        }
        if ($ank['ank_goal_dating3'] == 1) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Любовь, отношения') . ",</a> ";
        }
        if ($ank['ank_goal_dating4'] == 1) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Брак, создание семьи') . ",</a> ";
        }
        if ($ank['ank_goal_dating5'] == 1) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Виртуальный секс') . ",</a> ";
        }
        if ($ank['ank_goal_dating6'] == 1) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Секс в реале') . ",</a> ";
        }
        if ($ank['ank_goal_dating7'] == 1) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Ищу спонсора') . ",</a> ";
        }
        if ($ank['ank_goal_dating8'] == 1) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Стану спонсором') . ",</a> ";
        }

        echo "<br />" . lang('Семейное положение') . ": ";
        if ($ank['ank_marriage'] == 0) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=information&amp;love'>?</a>";
        }
        if ($ank['ank_marriage'] == 1) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Без пары') . "</a>";
        }
        if ($ank['ank_marriage'] == 2) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Встречается') . "</a>";
        }
        if ($ank['ank_marriage'] == 3) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . ($ank['sex'] ? '' . lang('Помолвлен') . '' : '' . lang('Помолвлена') . '') . "</a>";
        }
        if ($ank['ank_marriage'] == 4) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('В браке') . "</a>";
        }
        if ($ank['ank_marriage'] == 5) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('В гражданском браке') . "</a>";
        }
        if ($ank['ank_marriage'] == 6) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('В домашнем партнерстве') . "</a>";
        }
        if ($ank['ank_marriage'] == 7) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('В свободных отношениях') . "</a>";
        }
        if ($ank['ank_marriage'] == 8) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Все сложно') . "</a>";
        }
        if ($ank['ank_marriage'] == 9) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Раздельное проживание') . "</a>";
        }
        if ($ank['ank_marriage'] == 10) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('В разводе') . "</a>";
        }
        if ($ank['ank_marriage'] == 11) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . ($ank['sex'] ? '' . lang('Вдовец') . '' : '' . lang('Вдова') . '') . "</a>";
        }
        if ($ank['ank_marriage'] == 12) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . ($ank['sex'] ? '' . lang('Влюблен') . '' : '' . lang('Влюблена') . '') . "</a>";
        }
        echo "<br />" . lang('Ориентация') . ": ";
        if ($ank['ank_orientation'] == 0) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=information&amp;love'>?</a>";
        }
        if ($ank['ank_orientation'] == 1) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Гетеро') . "</a>";
        }
        if ($ank['ank_orientation'] == 2) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . ($ank['sex'] ? '' . lang('Гей') . '' : '' . lang('Лесби') . '') . "</a>";
        }
        if ($ank['ank_orientation'] == 3) {
            echo "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=information&amp;love'>" . lang('Би') . "</a>";
        }

        echo "</div></div></div>";

        echo "<div id='accordion' role='tablist' aria-multiselectable='true'>";
        echo "<div class='list-group-item-null'><div role='tab'>";
        echo "<a class='collapsed' data-toggle='collapse' data-parent='#accordion' href='#events' aria-expanded='false'><i class='fa fa-calendar-check-o fa-fw'></i> " . lang('События из жизни') . "</a>";
        echo "</div>";
        echo "<div id='events' class='panel-collapse collapse' role='tabpanel' aria-labelledby='events'>";

        echo "<hr>";
        $doc->NoResult();

        echo "</div></div></div>";

        echo "<div id='accordion' role='tablist' aria-multiselectable='true'>";
        echo "<div class='list-group-item-null'><div role='tab'>";
        echo "<a class='collapsed' data-toggle='collapse' data-parent='#accordion' href='#activity' aria-expanded='false'><i class='fa fa-commenting-o fa-fw'></i> " . lang('Активность') . "</a>";
        echo "</div>";
        echo "<div id='activity' class='panel-collapse collapse' role='tabpanel' aria-labelledby='activity'>";

        echo "<hr>";

        echo lang('Рейтинг') . ": <font color='green'>$ank[rating]</font><br/>";
        echo lang('Рубли') . ": <font color='green'>$ank[money]</font><br/>";
        echo lang('Активность') . ": <font color='green'>$ank[activity]</font><br/>";
        echo lang('Время онлайн') . ": <font color='green'>$time_online</font><br/>";
        $perehodu = mysql_result(mysql_query("SELECT `perehodu` FROM `user` WHERE `id` = '$ank[id]' LIMIT 1", $db), 0);
        echo lang('Переходов по сайту') . ": <font color='green'>$perehodu</font><br />\n";
        echo lang('Дата регистрации') . ": <font color='green' title = '" . date::time($ank['date_reg']) . "'>" . date::times($ank['date_reg']) . "</font><br />";
        echo lang('Посл. визит') . ": <font color='green' title = '" . date::time($ank['date_last']) . "'>" . date::times($ank['date_last']) . "</font><br />\n";
        echo lang('Посмотрели информацию') . ": <font color='green'>" . sklon_text($ank['viewing'], array(lang('раз'), lang('раза'), lang('раз'))) . "</font>";

        echo "</div></div></div>";

        echo "<div id='accordion' role='tablist' aria-multiselectable='true'>";
        echo "<div class='list-group-item-null'><div role='tab'>";
        echo "<a class='collapsed' data-toggle='collapse' data-parent='#accordion' href='#character_type' aria-expanded='false'><i class='fa fa-user-secret fa-fw'></i> " . lang('Типаж') . "</a>";
        echo "</div>";
        echo "<div id='character_type' class='panel-collapse collapse' role='tabpanel' aria-labelledby='character_type'>";

        echo "<hr>";

        if ($ank['ank_hair'] == NULL) {
            $ank_hair = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=character_type&amp;ank_hair'>?</a>";
        } else {
            $ank_hair = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=character_type&amp;ank_hair'>$ank[ank_hair]</a>";
        }

        if ($ank['ank_eye'] == NULL) {
            $ank_eye = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=character_type&amp;ank_hair'>?</a>";
        } else {
            $ank_eye = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=character_type&amp;ank_hair'>$ank[ank_eye]</a>";
        }

        if ($ank['ank_height'] == 10) {
            $ank_height = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=character_type&amp;ank_hair'>?</a>";
        } else {
            $ank_height = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=character_type&amp;ank_hair'>$ank[ank_height]</a>";
        }

        if ($ank['ank_weight'] == 10) {
            $ank_weight = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=character_type&amp;ank_hair'>?</a>";
        } else {
            $ank_weight = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=character_type&amp;ank_hair'>$ank[ank_weight]</a>";
        }

        if ($ank['ank_physique'] == 0) {
            $ank_physique = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=character_type&amp;ank_hair'>?</a>";
        }
        if ($ank['ank_physique'] == 1) {
            $ank_physique = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=character_type&amp;ank_hair'>" . lang('Обычное') . "</a>";
        }
        if ($ank['ank_physique'] == 2) {
            $ank_physique = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=character_type&amp;ank_hair'>" . lang('Худощавое') . "</a>";
        }
        if ($ank['ank_physique'] == 3) {
            $ank_physique = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=character_type&amp;ank_hair'>" . lang('Спортивное') . "</a>";
        }
        if ($ank['ank_physique'] == 4) {
            $ank_physique = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=character_type&amp;ank_hair'>" . lang('Мускулистое') . "</a>";
        }
        if ($ank['ank_physique'] == 5) {
            $ank_physique = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=character_type&amp;ank_hair'>" . lang('Плотное') . "</a>";
        }
        if ($ank['ank_physique'] == 6) {
            $ank_physique = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=character_type&amp;ank_hair'>" . lang('Полное') . "</a>";
        }

        echo lang('Цвет волос') . ": $ank_hair<br />";
        echo lang('Цвет глаз') . ": $ank_eye<br />";
        echo lang('Рост') . ": $ank_height<br />";
        echo lang('Вес') . ": $ank_weight<br />";
        echo lang('Телосложение') . ": $ank_physique<br />";

        echo "</div></div></div>";

        echo "<div id='accordion' role='tablist' aria-multiselectable='true'>";
        echo "<div class='list-group-item-null'><div role='tab'>";
        echo "<a class='collapsed' data-toggle='collapse' data-parent='#accordion' href='#hobbies' aria-expanded='false'><i class='fa fa-futbol-o fa-fw'></i> " . lang('Интересы и увлечения') . "</a>";
        echo "</div>";
        echo "<div id='hobbies' class='panel-collapse collapse' role='tabpanel' aria-labelledby='hobbies'>";

        echo "<hr>";

        if ($ank['ank_music'] == NULL) {
            $ank_music = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=hobbies&amp;ank_hobbies'>?</a>";
        } else {
            $ank_music = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=hobbies&amp;ank_hobbies'>$ank[ank_music]</a>";
        }

        if ($ank['ank_films'] == NULL) {
            $ank_films = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=hobbies&amp;ank_hobbies'>?</a>";
        } else {
            $ank_films = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=hobbies&amp;ank_hobbies'>$ank[ank_films]</a>";
        }

        if ($ank['ank_books'] == NULL) {
            $ank_books = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=hobbies&amp;ank_hobbies'>?</a>";
        } else {
            $ank_books = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=hobbies&amp;ank_hobbies'>$ank[ank_books]</a>";
        }

        if ($ank['ank_course'] == NULL) {
            $ank_course = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=hobbies&amp;ank_hobbies'>?</a>";
        } else {
            $ank_course = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=hobbies&amp;ank_hobbies'>$ank[ank_course]</a>";
        }

        if ($ank['ank_passion'] == NULL) {
            $ank_passion = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=hobbies&amp;ank_hobbies'>?</a>";
        } else {
            $ank_passion = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=hobbies&amp;ank_hobbies'>$ank[ank_passion]</a>";
        }

        if ($ank['ank_activities'] == NULL) {
            $ank_activities = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=hobbies&amp;ank_hobbies'>?</a>";
        } else {
            $ank_activities = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=hobbies&amp;ank_hobbies'>$ank[ank_activities]</a>";
        }

        if ($ank['ank_teleshow'] == NULL) {
            $ank_teleshow = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=hobbies&amp;ank_hobbies'>?</a>";
        } else {
            $ank_teleshow = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=hobbies&amp;ank_hobbies'>$ank[ank_teleshow]</a>";
        }

        if ($ank['ank_citates'] == NULL) {
            $ank_citates = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=hobbies&amp;ank_hobbies'>?</a>";
        } else {
            $ank_citates = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=hobbies&amp;ank_hobbies'>$ank[ank_citates]</a>";
        }

        if ($ank['ank_games'] == NULL) {
            $ank_games = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=hobbies&amp;ank_hobbies'>?</a>";
        } else {
            $ank_games = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=hobbies&amp;ank_hobbies'>$ank[ank_games]</a>";
        }

        if ($ank['ank_about_me'] == NULL) {
            $ank_about_me = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=hobbies&amp;ank_hobbies'>?</a>";
        } else {
            $ank_about_me = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=hobbies&amp;ank_hobbies'>$ank[ank_about_me]</a>";
        }

        echo lang('Деятельность') . ": $ank_activities<br />";
        echo lang('Любимая музыка') . ": $ank_music<br />";
        echo lang('Любимые фильмы') . ": $ank_films<br />";
        echo lang('Любимые телешоу') . ": $ank_teleshow<br />";
        echo lang('Любимые книги') . ": $ank_books<br />";
        echo lang('Любимые игры') . ": $ank_games<br />";
        echo lang('Любимые цитаты') . ": $ank_citates<br />";
        echo lang('Любимое блюдо') . ": $ank_course<br />";
        echo lang('Интересы') . ": $ank_passion<br />";
        echo lang('О себе') . ": $ank_about_me<br />";

        echo "</div></div></div>";

        echo "<div id='accordion' role='tablist' aria-multiselectable='true'>";
        echo "<div class='list-group-item-null'><div role='tab'>";
        echo "<a class='collapsed' data-toggle='collapse' data-parent='#accordion' href='#position' aria-expanded='false'><i class='fa fa-child fa-fw'></i> " . lang('Жизненная позиция') . "</a>";
        echo "</div>";
        echo "<div id='position' class='panel-collapse collapse' role='tabpanel' aria-labelledby='position'>";

        echo "<hr>";

        if ($ank['ank_inspiration'] == NULL) {
            $ank_inspiration = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=position&amp;ank_inspiration'>?</a>";
        } else {
            $ank_inspiration = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>$ank[ank_inspiration]</a>";
        }

        if ($ank['ank_political'] == 0) {
            $ank_political = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=position&amp;ank_inspiration'>?</a>";
        } elseif ($ank['ank_political'] == 1) {
            $ank_political = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Индифферентные') . "</a>";
        } elseif ($ank['ank_political'] == 2) {
            $ank_political = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Коммунистические') . "</a>";
        } elseif ($ank['ank_political'] == 3) {
            $ank_political = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Социалистические') . "</a>";
        } elseif ($ank['ank_political'] == 4) {
            $ank_political = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Умеренные') . "</a>";
        } elseif ($ank['ank_political'] == 5) {
            $ank_political = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Либеральные') . "</a>";
        } elseif ($ank['ank_political'] == 6) {
            $ank_political = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Консервативные') . "</a>";
        } elseif ($ank['ank_political'] == 7) {
            $ank_political = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Монархические') . "</a>";
        } elseif ($ank['ank_political'] == 8) {
            $ank_political = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Ультраконсервативные') . "</a>";
        } elseif ($ank['ank_political'] == 9) {
            $ank_political = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Либертарианские') . "</a>";
        }

        if ($ank['ank_world_view'] == 0) {
            $ank_world_view = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=position&amp;ank_inspiration'>?</a>";
        } elseif ($ank['ank_world_view'] == 1) {
            $ank_world_view = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Иудаизм') . "</a>";
        } elseif ($ank['ank_world_view'] == 2) {
            $ank_world_view = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Православие') . "</a>";
        } elseif ($ank['ank_world_view'] == 3) {
            $ank_world_view = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Католицизм') . "</a>";
        } elseif ($ank['ank_world_view'] == 4) {
            $ank_world_view = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Протестантизм') . "</a>";
        } elseif ($ank['ank_world_view'] == 5) {
            $ank_world_view = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Ислам') . "</a>";
        } elseif ($ank['ank_world_view'] == 6) {
            $ank_world_view = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Буддизм') . "</a>";
        } elseif ($ank['ank_world_view'] == 7) {
            $ank_world_view = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Конфуцианство') . "</a>";
        } elseif ($ank['ank_world_view'] == 8) {
            $ank_world_view = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Светский гуманизм') . "</a>";
        } elseif ($ank['ank_world_view'] == 9) {
            $ank_world_view = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Пастафарианство') . "</a>";
        }

        if ($ank['ank_important_life'] == 0) {
            $ank_important_life = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=position&amp;ank_inspiration'>?</a>";
        } elseif ($ank['ank_important_life'] == 1) {
            $ank_important_life = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Семья и дети') . "</a>";
        } elseif ($ank['ank_important_life'] == 2) {
            $ank_important_life = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Карьера и деньги') . "</a>";
        } elseif ($ank['ank_important_life'] == 3) {
            $ank_important_life = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Развлечения и отдых') . "</a>";
        } elseif ($ank['ank_important_life'] == 4) {
            $ank_important_life = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Наука и исследования') . "</a>";
        } elseif ($ank['ank_important_life'] == 5) {
            $ank_important_life = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Совершенствование мира') . "</a>";
        } elseif ($ank['ank_important_life'] == 6) {
            $ank_important_life = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Саморазвитие') . "</a>";
        } elseif ($ank['ank_important_life'] == 7) {
            $ank_important_life = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Красота и искусство') . "</a>";
        } elseif ($ank['ank_important_life'] == 8) {
            $ank_important_life = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Слава и влияние') . "</a>";
        }

        if ($ank['ank_important_people'] == 0) {
            $ank_important_people = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=position&amp;ank_inspiration'>?</a>";
        } elseif ($ank['ank_important_people'] == 1) {
            $ank_important_people = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Ум и креативность') . "</a>";
        } elseif ($ank['ank_important_people'] == 2) {
            $ank_important_people = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Доброта и честность') . "</a>";
        } elseif ($ank['ank_important_people'] == 3) {
            $ank_important_people = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Красота и здоровье') . "</a>";
        } elseif ($ank['ank_important_people'] == 4) {
            $ank_important_people = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Власть и богатство') . "</a>";
        } elseif ($ank['ank_important_people'] == 5) {
            $ank_important_people = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Смелость и упорство') . "</a>";
        } elseif ($ank['ank_important_people'] == 6) {
            $ank_important_people = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Юмор и жизнелюбие') . "</a>";
        }

        if ($ank['ank_smoking'] == 0) {
            $ank_smoking = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=position&amp;ank_inspiration'>?</a>";
        } elseif ($ank['ank_smoking'] == 1) {
            $ank_smoking = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Резко негативное') . "</a>";
        } elseif ($ank['ank_smoking'] == 2) {
            $ank_smoking = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Негативное') . "</a>";
        } elseif ($ank['ank_smoking'] == 3) {
            $ank_smoking = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Компромиссное') . "</a>";
        } elseif ($ank['ank_smoking'] == 4) {
            $ank_smoking = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Нейтральное') . "</a>";
        } elseif ($ank['ank_smoking'] == 5) {
            $ank_smoking = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Положительное') . "</a>";
        }

        if ($ank['ank_alcohol'] == 0) {
            $ank_alcohol = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:grey;' href = '?mod=position&amp;ank_inspiration'>?</a>";
        } elseif ($ank['ank_alcohol'] == 1) {
            $ank_alcohol = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Резко негативное') . "</a>";
        } elseif ($ank['ank_alcohol'] == 2) {
            $ank_alcohol = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Негативное') . "</a>";
        } elseif ($ank['ank_alcohol'] == 3) {
            $ank_alcohol = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Компромиссное') . "</a>";
        } elseif ($ank['ank_alcohol'] == 4) {
            $ank_alcohol = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Нейтральное') . "</a>";
        } elseif ($ank['ank_alcohol'] == 5) {
            $ank_alcohol = "<a style = 'cursor:pointer;text-decoration:underline;color:#069;background-color:transparent;border:0;color:green;' href = '?mod=position&amp;ank_inspiration'>" . lang('Положительное') . "</a>";
        }

        echo lang('Полит. предпочтения') . ": $ank_political<br />";
        echo lang('Мировоззрение') . ": $ank_world_view<br />";
        echo lang('Главное в жизни') . ": $ank_important_life<br />";
        echo lang('Главное в людях') . ": $ank_important_people<br />";
        echo lang('Отношение к курению') . ": $ank_smoking<br />";
        echo lang('Отношение к алкоголю') . ": $ank_alcohol<br />";
        echo lang('Источники вдохновения') . ": $ank_inspiration<br />";

        echo "</div></div></div>";

        break;

    case 'information':

        #редактирование здесь
        include 'edit.php';
        include 'information.php';

        break;

    case 'work':

        #редактирование здесь
        include 'edit.php';
        include 'work.php';

        break;

    case 'locations':

        #редактирование здесь
        include 'edit.php';
        include 'locations.php';

        break;

    case 'contacts':

        #редактирование здесь
        include 'edit.php';
        include 'contacts.php';

        break;

    case 'family':

        #редактирование здесь
        include 'edit.php';
        include 'family.php';

        break;

    case 'events':

        #редактирование здесь
        include 'edit.php';
        include 'events.php';

        break;

    case 'activity':

        #редактирование здесь
        include 'edit.php';
        include 'activity.php';

        break;

    case 'character_type':

        #редактирование здесь
        include 'edit.php';
        include 'character_type.php';

        break;

    case 'hobbies':

        #редактирование здесь
        include 'edit.php';
        include 'hobbies.php';

        break;

    case 'position':

        #редактирование здесь
        include 'edit.php';
        include 'position.php';

        break;
}

if (isset($user) && $user['id'] == $ank['id']) {
    $doc->Link('list-group-item-null list-group-item-grey', "/user/settings.php?act=private&amp;set=anketa", 'cog', 'Приватность анкеты');
}

if ($user['level'] > $ank['level']) {

    if (access('user_prof_edit')) {
        $doc->Link('list-group-item-null list-group-item-grey', "/panel/user.php?id=$ank[id]", 'edit', 'Редактировать профиль');
    }
    if ($user['id'] != $ank['id']) {
        if (access('user_ban_set') || access('user_ban_set_h') || access('user_ban_unset')) {
            $doc->Link('list-group-item-null list-group-item-grey', "/panel/ban.php?id=$ank[id]", 'gavel', 'Нарушения (бан)');
        }
        if (access('user_delete')) {
            $doc->Link('list-group-item-null list-group-item-grey', "/panel/delete_user.php?id=$ank[id]", 'trash', 'Удалить пользователя');
        }
    }
}

if (access('adm_log_read') && $ank['level'] != 0 && ($ank['id'] == $user['id'] || $ank['level'] < $user['level'])) {
    $doc->Link('list-group-item-null list-group-item-grey', "/panel/adm_log.php?id=$ank[id]", 'list-alt', 'Отчет по администрированию');
}

require_once H . 'sys/inc/tfoot.php';
